Name:           pyxdg
Version:        0.28
Release:        1
Summary:        Python library to access freedesktop APIs
License:        LGPLv2
URL:            http://freedesktop.org/Software/pyxdg
Source0:        https://pypi.io/packages/source/P/PyXDG/pyxdg-%{version}.tar.gz
# https://gitlab.freedesktop.org/xdg/pyxdg/-/archive/rel-%{version}/pyxdg-rel-%{version}.tar.gz?path=test/example
Source1:        pyxdg-0.28-test-example.tar.gz

BuildArch:      noarch

BuildRequires:  hicolor-icon-theme shared-mime-info

%description
PyXDG package provides a library to invoke APIs that conform to freedesktop.org standards.

%package        -n python3-pyxdg
Summary:        Python3 library to access freedesktop APIs
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest

%{?python_provide:%python_provide python%{python3_pkgversion}-pyxdg}

%description    -n python%{python3_pkgversion}-pyxdg
This package contains a Python 3 version of PyXDG.

%prep
%setup -q -b 1
cp -r ../pyxdg-rel-%{version}-test-example/test/example test/

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
pytest test/test*.py -v

%files          -n python%{python3_pkgversion}-pyxdg
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{python3_sitelib}/xdg
%{python3_sitelib}/pyxdg-*.egg-info

%changelog
* Thu Jun 08 2023 yaoxin <yao_xin001@hoperun.com> - 0.28-1
- Update to 0.28

* Tue Jan 17 2023 zhangliangpengkun<zhangliangpengkun@xfusion.com> - 0.26-5
- Fix-compatibility-with-python-3.8.4.patch 

* Fri Jan 13 2023 zhangliangpengkun<zhangliangpengkun@xfusion.com> - 0.26-4
- Fix several ResourceWarnings: unclosed file

* Wed Oct 21 2020 zhangpeng <zhangpeng228@huawei.com> - 0.26-3
- disable python2

* Thu Nov 28 2019 lihao <lihao129@huawei.com> - 0.26-2
- Package Init

